# POST /v4/internal/payload/gnosis

_Merkl API_

Analyse the campaigns created by a future transaction. For large Safe files (>50 campaigns), consider splitting into multiple requests.

## Request body

**`application/json`**
```json
{
  "additionalProperties": true,
  "type": "object",
  "properties": {
    "chainId": {
      "description": "Chain ID where the campaign is deployed",
      "type": "string"
    },
    "transactions": {
      "additionalProperties": true,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "contractInputsValues": {
            "nullable": true,
            "anyOf": [
              {
                "additionalProperties": true,
                "type": "object",
                "properties": {
                  "newCampaign": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "null"
              }
            ]
          }
        }
      }
    }
  },
  "required": [
    "chainId",
    "transactions"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "additionalProperties": true,
  "type": "object",
  "properties": {
    "chainId": {
      "description": "Chain ID where the campaign is deployed",
      "type": "string"
    },
    "transactions": {
      "additionalProperties": true,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "contractInputsValues": {
            "nullable": true,
            "anyOf": [
              {
                "additionalProperties": true,
                "type": "object",
                "properties": {
                  "newCampaign": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "null"
              }
            ]
          }
        }
      }
    }
  },
  "required": [
    "chainId",
    "transactions"
  ]
}
```
**`multipart/form-data`**
```json
{
  "additionalProperties": true,
  "type": "object",
  "properties": {
    "chainId": {
      "description": "Chain ID where the campaign is deployed",
      "type": "string"
    },
    "transactions": {
      "additionalProperties": true,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "contractInputsValues": {
            "nullable": true,
            "anyOf": [
              {
                "additionalProperties": true,
                "type": "object",
                "properties": {
                  "newCampaign": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "null"
              }
            ]
          }
        }
      }
    }
  },
  "required": [
    "chainId",
    "transactions"
  ]
}
```

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/internal/payload/gnosis" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```